Bug 1301812 - Candlepin is failing on updating and importing manifest
Summary: Candlepin is failing on updating and importing manifest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: Unspecified
Hardware: x86_64
OS: Linux
urgent
urgent vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-26 02:59 UTC by Alexey Masolov
Modified: 2019-09-12 09:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-15 15:52:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0174 0 normal SHIPPED_LIVE Moderate: Satellite 6.1.7 security, bug and enhancement fix update 2016-02-15 20:50:32 UTC

Comment 1 Pavel Moravec 2016-01-26 08:48:22 UTC
"Import attempt completed for owner .." is false positive log - it should be logged after the NPE that occurred sooner.


org.candlepin.controller.CandlepinPoolManager.processPoolUpdates:366:

            Event event = poolEvents.get(existingPool.getId())
                    .setNewEntity(existingPool)
                    .buildEvent();

poolEvents shouldnt be null since the same command passed in previous iteration of "for (PoolUpdate updatedPool : updatedPools) {" .

existingPool should be null since "if (existingPool.isMarkedForDelete()) {" would already raise the NPE

existingPool.getId() should be not null (see previous "Pool changed: " pool id)

setNewEntity does not seem to be able to return null

So I suspect poolEvents.get(..) returning null (also candlepin reported 410 Gone, that supports it).

Comment 2 Pavel Moravec 2016-01-26 08:59:32 UTC
(In reply to Pavel Moravec from comment #1)
> So I suspect poolEvents.get(..) returning null (also candlepin reported 410
> Gone, that supports it).

But poolEvents has been filled properly recently:

        Map<String, EventBuilder> poolEvents = new HashMap<String, EventBuilder>();
        for (Pool existing : existingPools) {
            EventBuilder eventBuilder = eventFactory
                    .getEventBuilder(Target.POOL, Type.MODIFIED)
                    .setOldEntity(existing);
            poolEvents.put(existing.getId(), eventBuilder);
        }
..
        return processPoolUpdates(poolEvents, updatedPools);

Comment 9 Kedar Bidarkar 2016-02-05 12:56:09 UTC
It seems this bug had to be tested with
a) particular manifest and
b) particular state of CP DB (postgresql)

[xyz@abc .ssh]# systemctl stop tomcat
[xyz@abc .ssh]# su - postgres
-bash-4.2$ dropdb candlepin && createdb candlepin
-bash-4.2$ pg_restore -d candlepin /tmp/candlepin_admin.dump
-bash-4.2$ exit
logout
[xyz@abc ~]# systemctl start tomcat

Create an org temorg 

Uploaded manifest a) to temporg and manifest got successfully imported.

VERIFIED with Sat6.1.7 compose1

Comment 14 errata-xmlrpc 2016-02-15 15:52:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:0174


Note You need to log in before you can comment on or make changes to this bug.